## petsc4py 0.7.3

=== Makefile ===
# -*- makefile -*-

.PHONY: default tree-arch config src swig build install \
	home_install home_uninstall \
        install_home uninstall_home \
        insthome uinsthome \
	sdist \
	clean distclean

PYTHON=python
PACKAGE=petsc4py

default: build

tree-arch:
	-@for ARCH in ${PETSC_DIR}/lib/*; do \
	  PETSC_ARCH=`basename $$ARCH` $(MAKE) ${ACTION}; \
	 done;

all-arch:
	$(MAKE) ACTION=build tree-arch

config: 
	${PYTHON} setup.py config

src:
	${PYTHON} setup.py build_src

swig:
	${PYTHON} setup.py build_src --force

build:
	${PYTHON} setup.py build

install: build
	su -c '${PYTHON} setup.py install'

sdist:
	${PYTHON} setup.py sdist

home_install:
	${PYTHON} setup.py install --home=${HOME}
install_home: home_install
insthome: home_install

home_uninstall:
	-${RM} -r ${HOME}/lib/python/$(shell ${PYTHON} setup.py --name)
uninstall_home: home_uninstall
uinsthome:  home_uninstall


clean:
	${PYTHON} setup.py clean --all

distclean: clean
	-${RM} -r build dist MANIFEST *~
	-cd configure && ${RM} *.pyc *.pyo
	-cd docs && ${MAKE} distclean

## petsc4py 0.7.5

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	home_install home_uninstall \
         install_home uninstall_home \
         insthome uinsthome \
+        epydoc pylint \
 	sdist \
 	clean distclean
 
@@ -32,11 +33,22 @@
 build:
 	${PYTHON} setup.py build
 
+test:
+	${PYTHON} tests/runalltests.py
+
 install: build
 	su -c '${PYTHON} setup.py install'
 
 sdist:
 	${PYTHON} setup.py sdist
+
+epydoc:
+	${RM} -r /tmp/${PACKAGE}-doc
+	epydoc --verbose --config=epydoc.cfg --output=/tmp/${PACKAGE}-doc
+pylint:
+	export PYLINTRC=${PWD}/pylint.cfg; \
+	pylint --disable-msg=W0142,W0232,W1001,E1002 petsc/
+#	pylint --rcfile ./pyling.cfg --disable-msg=W0142,W0232,W1001,E1002 petsc
 
 home_install:
 	${PYTHON} setup.py install --home=${HOME}
@@ -45,14 +57,21 @@
 
 home_uninstall:
 	-${RM} -r ${HOME}/lib/python/$(shell ${PYTHON} setup.py --name)
+	-${RM} -r ${HOME}/lib/python/$(shell ${PYTHON} setup.py --name)-*-py*.egg-info
+
 uninstall_home: home_uninstall
 uinsthome:  home_uninstall
 
 
 clean:
 	${PYTHON} setup.py clean --all
+	-${RM} configure/*.py[co]
+	-${MAKE} -C docs clean
 
-distclean: clean
-	-${RM} -r build dist MANIFEST *~
-	-cd configure && ${RM} *.pyc *.pyo
-	-cd docs && ${MAKE} distclean
+
+distclean: clean 
+	-${RM} -r build
+	-${RM} -r MANIFEST dist petsc4py.egg-info
+	-${MAKE} -C docs distclean
+	-${RM} `find . -name '*~'`
+	-${RM} `find . -name '*.py[co]'`

=== docs/Makefile ===
.PHONY: default all html tex dvi pdf clean clean_tex distclean

DOCNAME = petsc4py

SOURCE_HTML  = ${DOCNAME}-html.rst

SOURCE_LATEX = ${DOCNAME}-latex.rst

SOURCES_TXT  = titlepage.txt \
               description.txt \
               download.txt \
               install.txt \
               tutorial.txt \
               references.txt \
               links.txt

RST2HTML  = rst2html.py
RST2LATEX = rst2latex.py

LATEX     = latex -interaction=batchmode
PDFLATEX  = pdflatex -interaction=batchmode


default: html

all: html dvi pdf

html: ${DOCNAME}.html

tex: ${DOCNAME}.tex

dvi:  ${DOCNAME}.dvi

pdf:  ${DOCNAME}.pdf


${DOCNAME}.html: ${SOURCE_HTML} ${SOURCES_TXT}
	${RST2HTML} $< $@

${DOCNAME}.tex: ${SOURCE_LATEX} ${SOURCES_TXT}
	${RST2LATEX} $< $@

${DOCNAME}.dvi: ${DOCNAME}.tex
	${LATEX} $<

${DOCNAME}.pdf: ${DOCNAME}.tex ${DOCNAME}.dvi
	${PDFLATEX} $<


clean: clean_tex
	${RM} ${DOCNAME}.html ${DOCNAME}.tex ${DOCNAME}.dvi ${DOCNAME}.pdf

clean_tex: 
	${RM} *.aux *.log *.out *.toc *.ind *.ilg

distclean: clean
	${RM} *~

=== tests/Makefile ===
.PHONY:  default all seq mpi arch


default: seq

all: seq mpi

PYTHON=python

seq:
	@for test_py in `ls test_*.py`; do \
	   echo && echo $$test_py; \
	   ${PYTHON} $$test_py; \
        done

MPIPYTHON=python
MPIEXEC=mpiexec -n
NP=2

mpi:
	@for test_py in `ls *.py`; do \
	  echo && echo $$test_py; \
	  ${MPIEXEC} ${NP} ${MPIPYTHON} $$test_py; \
	done

arch:
	-for ARCH in ${PETSC_DIR}/lib/*; do \
	  PETSC_ARCH=`basename $$ARCH` $(MAKE) ${ACTION}; \
	 done;

## petsc4py 1.1

=== docs/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/petsc4py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/petsc4py.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## petsc4py 3.7.0

=== docs/source/Makefile ===
--- 
+++ 
@@ -11,24 +11,38 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+# the i18n builder cannot share the environment and doctrees with the others
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  html      to make standalone HTML files"
-	@echo "  dirhtml   to make HTML files named index.html in directories"
-	@echo "  pickle    to make pickle files"
-	@echo "  json      to make JSON files"
-	@echo "  htmlhelp  to make HTML files and a HTML help project"
-	@echo "  qthelp    to make HTML files and a qthelp project"
-	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  changes   to make an overview of all changed/added/deprecated items"
-	@echo "  linkcheck to check all external links for integrity"
-	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
+	@echo "  html       to make standalone HTML files"
+	@echo "  dirhtml    to make HTML files named index.html in directories"
+	@echo "  singlehtml to make a single large HTML file"
+	@echo "  pickle     to make pickle files"
+	@echo "  json       to make JSON files"
+	@echo "  htmlhelp   to make HTML files and a HTML help project"
+	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  devhelp    to make HTML files and a Devhelp project"
+	@echo "  epub       to make an epub"
+	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
+	@echo "  text       to make text files"
+	@echo "  man        to make manual pages"
+	@echo "  texinfo    to make Texinfo files"
+	@echo "  info       to make Texinfo files and run them through makeinfo"
+	@echo "  gettext    to make PO message catalogs"
+	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  xml        to make Docutils-native XML files"
+	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
+	@echo "  linkcheck  to check all external links for integrity"
+	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	rm -rf $(BUILDDIR)/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
@@ -39,6 +53,11 @@
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+
+singlehtml:
+	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
+	@echo
+	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
 pickle:
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
@@ -65,12 +84,66 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/petsc4py.qhc"
 
+devhelp:
+	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
+	@echo
+	@echo "Build finished."
+	@echo "To view the help file:"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/petsc4py"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/petsc4py"
+	@echo "# devhelp"
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
+	@echo
+	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
+
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
-	      "run these through (pdf)latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+latexpdfja:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through platex and dvipdfmx..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+text:
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
+	@echo
+	@echo "Build finished. The text files are in $(BUILDDIR)/text."
+
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+texinfo:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo
+	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
+	@echo "Run \`make' in that directory to run these through makeinfo" \
+	      "(use \`make info' here to do that automatically)."
+
+info:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo "Running Texinfo files through makeinfo..."
+	make -C $(BUILDDIR)/texinfo info
+	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
+
+gettext:
+	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
+	@echo
+	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
@@ -87,3 +160,13 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+xml:
+	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
+	@echo
+	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
+
+pseudoxml:
+	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
+	@echo
+	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
petsc4py (3.7.0-3build2) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:17 +0000

petsc4py (3.7.0-3build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:26:33 +0000

petsc4py (3.7.0-3) unstable; urgency=medium

  * Add python3 support via python3-petsc4py. Closes: #862110.
  * Use pybuild when building with debhelper (dh).
  * Move documentation and examples to python-petsc4py-docs.

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 May 2017 14:49:41 +0800

petsc4py (3.7.0-2) unstable; urgency=medium

  * Release petsc4py 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:47:33 +0800

petsc4py (3.7.0-1exp1) experimental; urgency=medium

  * New upstream version.
  * Fixed debian/watch to let uscan show latest version

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Jul 2016 22:59:10 +0800

petsc4py (3.6.0-2) unstable; urgency=medium

  * include human-readable source and copyright statements for
    external scripts jquery.js and underscore.js in docs/usrman/_static
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Jul 2016 01:07:39 +0800

petsc4py (3.6.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Drew Parsons ]
  * New upstream version 3.6.0 (https://bitbucket.org/petsc/petsc4py)
    Closes: #691266.
  * Move package maintenance to Debian Science (alongside PETSc)
  * Standards-Version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Oct 2015 14:53:53 +0800

petsc4py (1.1-2) unstable; urgency=low

  * Team upload.
  * debian/{control, rules}
    - proper support python-numpy upgrades, calling dh_numpy to generate the
      correct Depends and tighting the b-d on python-numpy; Closes: #590756

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 04 Aug 2010 22:04:11 +0200

petsc4py (1.1-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Provides: ${python:Provides} added

  [ Sandro Tosi ]
  * New upstream release.
  * debian/control
    - uniforming Vcs-Browser field
    - switch Vcs-Browser field to viewsvn
    - removed Ondrej from Uploaders: thanks for your work!
    - removed DM-U-F field
    - added b-d for libhdf5-openmpi-dev
    - tighten b-d on petsc-dev
  * debian/rules
    - install 'demo' dir as examples

  [ Luca Falavigna ]
  * debian/patches/openmpi.patch:
    - refresh for new upstream release.
  * debian/control:
    - Replace libpetsc2.3.3-dev with petsc-dev (Closes: #529478, #522771).
    - Remove petsc-dev package from Depends, no longer needed.
    - Drop -1 revision from python-numpy and petsc-dev build-dependencies.
    + Bump Standards-Version to 3.8.2:
      - Add debian/README.source to document quilt usage.
  * debian/rules:
    - Export PETSC_DIR and PETSC_ARCH environment variables.
    - Change chrpath shared object path accordingly.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 11 May 2010 11:12:30 +0200

petsc4py (0.7.5-5) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed
  * pycentral changed to pysupport
  * moved from dpatch to quilt
  * Debian Policy version updated
  * sources were patched with Manuel's patch to compile against the latest
    openmpi (Closes: #456869)
  * encoding of debian/copyright converted to UTF-8 (fixes lintian warning)

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 20 Dec 2007 17:47:06 +0100

petsc4py (0.7.5-4) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Svn, Vcs-Browser and Homepage fields added
  * Add DM-Upload-Allowed: yes

  [ Ondrej Certik ]
  * Compiled against the latest revision of petsc, to link correctly with
    openmpi

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 29 Nov 2007 23:27:37 +0100

petsc4py (0.7.5-3) unstable; urgency=low

  * python-petsc4py: Needs to be in Extra (Closes: #441262)
  * added libpetsc2.3.3-dev to runtime depends, otherwise the pesc4py won't
    import in python

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 14 Sep 2007 15:35:39 +0200

petsc4py (0.7.5-2) unstable; urgency=low

  * Renamed the binary package to python-petsc4py to conform with the Debian
    Policy 

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 28 Aug 2007 13:43:45 +0200

petsc4py (0.7.5-1) unstable; urgency=low

  * New upstream release
  * Depends on libpetsc2.3.3-dev
  * Removed patches (not needed anymore)
  * debian/rules: set PETSC_DIR and PETSC_ARCH during the installing phase as
    well (refuses to install otherwise)
  * removing RPATH using chrpath (fixes lintian warnings)

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 28 Aug 2007 10:27:53 +0200

petsc4py (0.7.4-1oc2) UNRELEASED; urgency=low

  * Built against the unofficial libpetsc2.3.3, which is not yet in Debian

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 22 Jul 2007 17:17:49 +0200

petsc4py (0.7.4-1oc1) UNRELEASED; urgency=low

  * Use petsc compiled against LAM, instead of MPICH. Added Build-Depends 
    on libpetsc2.3.2-dev (>= 2.3.2-3oc1), which is not yet in Debian.

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 07 Jul 2007 15:01:06 +0200

petsc4py (0.7.4-1) unstable; urgency=low

  * New upstream version
  * Updated the dpatches for the new release
  * fixed debian/rules to compile the new release

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 25 Jun 2007 02:18:04 +0200

petsc4py (0.7.3-2) unstable; urgency=medium

  * Patched the build system to work with python-numpy 1.0.3 (Closes: #427196)
    - dpatch added to Build-Depends

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 03 Jun 2007 11:11:54 +0200

petsc4py (0.7.3-1) unstable; urgency=low

  * Initial Debian release (closes: #420489) 

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 13 May 2007 03:22:57 +0200

=== debian/control ===
Source: petsc4py
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python,
 python-all-dev (>=2.3.5-11), python3-all-dev,
 cython, cython3,
 python-numpy (>= 1:1.4.1-4~), python3-numpy,
 libpetsc3.7-dev, chrpath,
 mpi-default-dev, libhdf5-openmpi-dev
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/petsc/petsc4py
Vcs-Git: git://anonscm.debian.org/debian-science/packages/petsc4py.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/petsc4py.git/

Package: python-petsc4py
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-petsc4py-docs
Conflicts: python-petsc
Replaces: python-petsc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python 2 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 2 bindings to almost all functions of PETSc.

Package: python3-petsc4py
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-petsc4py-docs
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc.

Package: python-petsc4py-docs
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-petsc4py | python3-petsc4py
Conflicts: python-petsc
Breaks: python-petsc4py (<< 3.7.0-3)
XB-Python-Version: ${python:Versions}
Description: Python bindings for PETSc libraries: documentation and examples
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 petsc4py provides Python bindings to almost all functions of PETSc.
 This package provides documentation and examples for petsc4py.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = petsc4py

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PETSC_VERSION=3.7$(PETSC_EXT)
export PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .eggs

override_dh_auto_build:
	PETSC_DIR=$(PETSC_DIR)  dh_auto_build
	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
	# Swap it out for a standard path, or else dh_shlibdeps gets confused
	chrpath -d .pybuild/pythonX.Y_*/build/petsc4py/lib/PETSc*.so

override_dh_auto_install:
	PETSC_DIR=$(PETSC_DIR)  dh_auto_install

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_compress:
	dh_compress -Xpdf

## petsc4py 3.9.1

=== debian/changelog ===
petsc4py (3.9.1-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * add redirect.html to lintian source-is-missing overrides
    (false positive, it has a long line)

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2018 20:44:29 +0800

petsc4py (3.9.1-1exp1) experimental; urgency=medium

  * New upstream version.
  * debian/control: remove X-Python-Version: >= 2.6
    (obsolete, see Debian Python Policy 3.4)

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 May 2018 22:55:05 +0800

petsc4py (3.9.0-1exp1) experimental; urgency=medium

  * New upstream version.
    - Build-Depends: python >= 2.6 and >= 3.3, cython >= 0.22
  * Standards-Version: 4.1.4
  * debian/rules: read required PETSc version from petsc4py version.

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 17:04:54 +0800

petsc4py (3.8.1-5) unstable; urgency=medium

  * Build-Depends: libhdf5-mpi-dev. Closes: #897075.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 May 2018 16:14:42 +0800

petsc4py (3.8.1-4) unstable; urgency=medium

  * d/rules: adjust python build path to PETSc*.so to remove RUNPATH
    (allow for backports, whether python* or cpython*)
  * set Vcs-Git to https to allow cloning by all

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 11:25:45 +0800

petsc4py (3.8.1-3) unstable; urgency=medium

  * update VCS tags to salsa.debian.org
  * d/rules: update path to PETSc*.so to remove RUNPATH (python build
    infrastructure has changed). Closes: #893653.
  * Build-Depends: python3-distutils

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 09:26:49 +0800

petsc4py (3.8.1-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 09:06:33 +0800

petsc4py (3.8.1-1exp2) experimental; urgency=medium

  * debian/rules: the dh_installdocs override applies to build-indep
    only (otherwise, building build-arch only fails)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 16:55:02 +0800

petsc4py (3.8.1-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 10:48:11 +0800

petsc4py (3.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove docs package dependency on python (python-numpy)
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10
  * Remove debian patch include_external_source: javascript source now
    provided in upstream tarball.
  * debian/control Priority: optional.
  * place docs package in Section: doc
  * Link docs to system javascript from libjs-jquery, libjs-underscore

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Nov 2017 15:30:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: petsc4py
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python,
- python-all-dev (>=2.3.5-11), python3-all-dev,
- cython, cython3,
+Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 11), dh-python,
+ python-all-dev (>= 2.6), python3-all-dev (>= 3.3),
+ python3-distutils,
+ cython (>= 0.22), cython3 (>= 0.22),
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libpetsc3.7-dev, chrpath,
- mpi-default-dev, libhdf5-openmpi-dev
-X-Python-Version: >= 2.6
+ libpetsc-real3.9-dev, chrpath,
+ mpi-default-dev, libhdf5-mpi-dev,
+ libjs-jquery (>= 3.1.0),
+ libjs-underscore (>= 1.3.1)
 Homepage: https://bitbucket.org/petsc/petsc4py
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/petsc4py.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/petsc4py.git/
+Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
+Vcs-Browser: https://salsa.debian.org/science-team/petsc4py
 
 Package: python-petsc4py
 Architecture: any
@@ -44,7 +46,8 @@
 
 Package: python-petsc4py-docs
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Section: doc
+Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-petsc4py | python3-petsc4py
 Conflicts: python-petsc
 Breaks: python-petsc4py (<< 3.7.0-3)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,12 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-PETSC_VERSION=3.7$(PETSC_EXT)
+DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+
+# use only major.minor as PETSc version (not major.minor.patch)
+PETSC_VERSION=$(shell echo $(DEB_UPSTREAM_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')$(PETSC_EXT)
 export PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -36,10 +41,17 @@
 	PETSC_DIR=$(PETSC_DIR)  dh_auto_build
 	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
-	chrpath -d .pybuild/pythonX.Y_*/build/petsc4py/lib/PETSc*.so
+	chrpath -d .pybuild/*python*/build/petsc4py/lib/PETSc*.so
 
 override_dh_auto_install:
 	PETSC_DIR=$(PETSC_DIR)  dh_auto_install
+
+override_dh_installdocs-indep:
+	dh_installdocs
+	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery*.js
+	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery.js
+	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore*.js
+	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore.js
 
 override_dh_python2:
 	dh_python2

## petsc4py 3.10.1

=== debian/changelog ===
petsc4py (3.10.1-1) unstable; urgency=medium

  * New upstream release
    - applies demo_poisson3d_1821d0c.patch,
      petsc_3.10.3_removed_SNESTEST_a013d13.patch
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Jan 2019 01:15:40 +0800

petsc4py (3.10.0-5) unstable; urgency=medium

  * new patch underlinking_fix.patch avoids underlinking when
    wl,asneeded flags are in use. Thanks Gianfranco Costamagna.
    Closes: #917882.

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Dec 2018 12:38:29 +0100

petsc4py (3.10.0-4) unstable; urgency=medium

  * force regeneration of cython .c files (--force option for build
    [build_src] action). Closes: #917598.

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Dec 2018 02:03:07 +0100

petsc4py (3.10.0-3) unstable; urgency=medium

  * add patch petsc_3.10.3_removed_SNESTEST_a013d13.patch to apply
    upstream commit a013d13. Fixes build after PETSc 3.10.3 removed
    SNESTEST. Closes: #917598.
  * Standards-Version: 4.3.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Dec 2018 18:22:48 +0100

petsc4py (3.10.0-2) unstable; urgency=medium

  * remove alternatives links when packages are removed.
    Closes: #915684.

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 14:08:11 +0100

petsc4py (3.10.0-1exp3) experimental; urgency=medium

  * run chrpath on PETSc*.so and install python modules only for binary
    arch builds

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2018 01:26:34 +0800

petsc4py (3.10.0-1exp2) experimental; urgency=medium

  * Build-Depends: libpetsc-complex3.10-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Nov 2018 20:54:06 +0800

petsc4py (3.10.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies demo_perftest_efcb00a.patch
  * Provide python3-petsc4py-complex with complex number support.
    - Real number support is provided by python3-petsc4py-real
    - python3-petsc4py is now a dummy package depending on either
    - use alternatives to handle preferred petsc4py

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2018 22:48:17 +0800

petsc4py (3.9.1-5) unstable; urgency=medium

  * python[3]-petsc4py Depends: swig

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Sep 2018 08:47:25 +0800

petsc4py (3.9.1-4) unstable; urgency=medium

  * debian/tests/run-demos: decompress python scripts before testing
  * apply upstream patches demo_perftest_efcb00a.patch and
    demo_poisson3d_1821d0c.patch to fix builds of demos perftest and
    poisson3d.
    - poisson3d is sequential only (don't use for MPI tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Sep 2018 17:28:46 +0800

petsc4py (3.9.1-3) unstable; urgency=medium

  * Add debian/tests (autopkgtest) to run tests and demos.
  * Debian patch demo_fixes.patch enables demos to run:
    - exclude poisson3d,perftest (upstream Issues #111,#112)
    - remove clean:: (double colon) in makefiles
    - kspsolve: ICC requires complex number support
    - bratu2d does not work under MPI
  * Standards-Version: 4.2.1
  * mark python-petsc4py-docs as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Sep 2018 21:02:24 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.1.5
-Build-Depends: debhelper (>= 11), dh-python,
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12), dh-python,
  python-all-dev (>= 2.6), python3-all-dev (>= 3.3),
  python3-distutils,
  cython (>= 0.22), cython3 (>= 0.22),
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libpetsc-real3.9-dev, chrpath,
+ libpetsc-real3.10-dev, libpetsc-complex3.10-dev,
+ chrpath,
  mpi-default-dev, libhdf5-mpi-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
@@ -19,7 +20,7 @@
 
 Package: python-petsc4py
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: swig, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-petsc4py-docs
 Conflicts: python-petsc
 Replaces: python-petsc
@@ -30,22 +31,52 @@
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 2 bindings to almost all functions of PETSc.
+ This package provides Python 2 bindings to almost all functions of PETSc
+ with real number support.
 
 Package: python3-petsc4py
-Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Architecture: all
+Depends: python3-petsc4py-real | python3-petsc4py-complex, ${misc:Depends}
 Recommends: python-petsc4py-docs
-XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for PETSc libraries
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc.
+ This is a dummy package that depends on the python3 petsc4py package with
+ either real or complex number support.
+
+Package: python3-petsc4py-real
+Architecture: any
+Depends: swig, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-petsc4py (<< 3.10)
+Recommends: python-petsc4py-docs
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for PETSc libraries (real numbers)
+ PETSc is a suite of data structures and routines for the scalable (parallel)
+ solution of scientific applications modeled by partial differential equations.
+ It employs the MPI standard for all message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of PETSc
+ with real number support.
+
+Package: python3-petsc4py-complex
+Architecture: any
+Depends: swig, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-petsc4py (<< 3.10)
+Recommends: python-petsc4py-docs
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for PETSc libraries (complex numbers)
+ PETSc is a suite of data structures and routines for the scalable (parallel)
+ solution of scientific applications modeled by partial differential equations.
+ It employs the MPI standard for all message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of PETSc
+ with complex number support.
 
 Package: python-petsc4py-docs
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-petsc4py | python3-petsc4py

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
-
-export PYBUILD_NAME = petsc4py
 
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -15,9 +13,12 @@
 DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 
+export PETSC4PY_VERSION=$(DEB_UPSTREAM_VERSION)
+
 # use only major.minor as PETSc version (not major.minor.patch)
 PETSC_VERSION=$(shell echo $(DEB_UPSTREAM_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')$(PETSC_EXT)
-export PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
+export PETSC_DIR_REAL=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-real
+export PETSC_DIR_COMPLEX=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-complex
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -31,23 +32,39 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
 	rm -rf .eggs
 
-override_dh_auto_build:
-	PETSC_DIR=$(PETSC_DIR)  dh_auto_build
+# no need to build anything for arch-indep packages (docs, dummy package)
+override_dh_auto_build-indep: ;
+override_dh_auto_install-indep: ;
+
+override_dh_auto_build-arch:
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython-petsc4py -ppython3-petsc4py-real -- --build-args=--force
+	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-complex
 	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/petsc4py/lib/PETSc*.so
 
-override_dh_auto_install:
-	PETSC_DIR=$(PETSC_DIR)  dh_auto_install
+override_dh_auto_install-arch:
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython-petsc4py -ppython3-petsc4py-real
+	for p in debian/python3-petsc4py-real/usr/lib/python3*/dist-packages/petsc4py*; do \
+	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/petsc4py/petsc4py_real/"); \
+	done
+	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_install -ppython3-petsc4py-complex
+	for p in debian/python3-petsc4py-complex/usr/lib/python3*/dist-packages/petsc4py*; do \
+	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/petsc4py/petsc4py_complex/"); \
+	done
+
+override_dh_installdocs-arch:
+	dh_installdocs -a debian/README.Debian
 
 override_dh_installdocs-indep:
-	dh_installdocs
+	dh_installdocs -i debian/README.Debian
 	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery*.js
 	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery.js
 	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore*.js
@@ -60,7 +77,14 @@
 override_dh_python3:
 	dh_python3
 	dh_numpy3
+	dh_python2
+	dh_numpy
 
 override_dh_compress:
 	dh_compress -Xpdf
 
+override_dh_installdeb:
+	dh_installdeb
+	for pkg in $$(dh_listpackages -a); do \
+	  sed -i -e 's/__PETSC4PY_VERSION__/$(PETSC4PY_VERSION)/' debian/$$pkg/DEBIAN/*; \
+	done

=== debian/tests/control ===
Tests: run-tests run-demos
Depends: @, @builddeps@,
    python-pytest, python3-pytest,
    python-numpy, python3-numpy,
    gzip
Restrictions: allow-stderr

## petsc4py 3.11.0

=== debian/changelog ===
petsc4py (3.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-petsc4py (python2 is deprecated)
  * debian patch demo-wrap-swig-compile.patch adds PETSc CFLAGS
    (include paths) to allow the wrap-swig demo to compile
  * autopkgtest: run debian/tests using in-built scripts, not pytest-3

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 03:05:51 +0800

petsc4py (3.11.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch underlinking_fix.patch
  * Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2019 11:38:25 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12), dh-python,
- python-all-dev (>= 2.6), python3-all-dev (>= 3.3),
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), dh-python,
+ python3-all-dev (>= 3.3),
  python3-distutils,
- cython (>= 0.22), cython3 (>= 0.22),
- python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libpetsc-real3.10-dev, libpetsc-complex3.10-dev,
+ cython3 (>= 0.22),
+ python3-numpy (>= 1:1.4.1-4~),
+ libpetsc-real3.11-dev, libpetsc-complex3.11-dev,
  chrpath,
  mpi-default-dev, libhdf5-mpi-dev,
  libjs-jquery (>= 3.1.0),
@@ -17,22 +17,6 @@
 Homepage: https://bitbucket.org/petsc/petsc4py
 Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
 Vcs-Browser: https://salsa.debian.org/science-team/petsc4py
-
-Package: python-petsc4py
-Architecture: any
-Depends: swig, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-petsc4py-docs
-Conflicts: python-petsc
-Replaces: python-petsc
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python 2 bindings for PETSc libraries
- PETSc is a suite of data structures and routines for the scalable (parallel)
- solution of scientific applications modeled by partial differential equations.
- It employs the MPI standard for all message-passing communication.
- .
- This package provides Python 2 bindings to almost all functions of PETSc
- with real number support.
 
 Package: python3-petsc4py
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh $@ --with python3 --buildsystem=pybuild
 	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
@@ -44,14 +44,14 @@
 override_dh_auto_install-indep: ;
 
 override_dh_auto_build-arch:
-	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython-petsc4py -ppython3-petsc4py-real -- --build-args=--force
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-petsc4py-real -- --build-args=--force
 	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-complex
 	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/petsc4py/lib/PETSc*.so
 
 override_dh_auto_install-arch:
-	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython-petsc4py -ppython3-petsc4py-real
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-petsc4py-real
 	for p in debian/python3-petsc4py-real/usr/lib/python3*/dist-packages/petsc4py*; do \
 	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/petsc4py/petsc4py_real/"); \
 	done
@@ -70,15 +70,9 @@
 	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore*.js
 	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore.js
 
-override_dh_python2:
-	dh_python2
-	dh_numpy
-
 override_dh_python3:
 	dh_python3
 	dh_numpy3
-	dh_python2
-	dh_numpy
 
 override_dh_compress:
 	dh_compress -Xpdf
